Bug 1981037 - doctest: FTBFS in Fedora rawhide
Summary: doctest: FTBFS in Fedora rawhide
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: Fedora
Classification: Fedora
Component: doctest
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Black
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-10 20:21 UTC by Ben Beasley
Modified: 2022-11-29 17:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Ben Beasley 2021-07-10 20:21:08 UTC
Description of problem:
Package doctest fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
2.4.6-2.fc35

Steps to Reproduce:
koji build --scratch f35 doctest-2.4.6-2.fc35.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/doctest

Failed Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=71667986

Note that updates in dist-git since 2.4.5-2 have not been accompanied by successful builds in Rawhide.

See also https://src.fedoraproject.org/rpms/doctest/pull-request/2, which mentioned the problem.

A reasonable fix would be, at the top of %build:

> %set_build_flags
> CXXFLAGS="${CXXFLAGS} -Wno-error=unused-but-set-variable"

Another reasonable choice would be to patch out

>     add_compiler_flags(-Werror)

in scripts/cmake/common.cmake.

This is probably even better, to prevent build failures due to trivial changes in compiler diagnostics in the future. (-Werror makes sense for development but not downstream, in my opinion.)

Comment 1 Nick Black 2021-07-10 20:27:39 UTC
thanks for the report! i'll get on this today.

Comment 2 Nick Black 2021-07-10 20:40:00 UTC
I sent a patch upstream to fix this when https://src.fedoraproject.org/rpms/doctest/pull-request/2 reported it, but it appears that upstream isn't working on this at the momennt.

I've supplied a patch to remove -Werror, and a mock build just succeeded. Pushing up now.

Comment 3 Nick Black 2021-07-10 20:45:02 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=71669530

assuming this goes through, I'll backport to f34 and f33.

Comment 5 Nick Black 2021-07-10 20:56:09 UTC
successful builds on rawhide, f34, and f33. creating bodhi update for the latter two now. marking this closed.

Comment 6 Ben Beasley 2021-07-11 00:29:34 UTC
Thanks!

Comment 7 Ben Cotton 2021-08-10 13:12:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 8 Ben Cotton 2022-11-29 17:00:02 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.